/*
  SD card basic file example
 
 This example shows how to create and destroy an SD card file 	
 The circuit:
 * SD card attached to SPI bus as follows:
 ** MOSI - pin 11
 ** MISO - pin 12
 ** CLK - pin 13
 ** CS - pin 4
 
 created   Nov 2010
 by David A. Mellis
 modified 9 Apr 2012
 by Tom Igoe
 
 modified by Joel Murphy, Fall, 2012
 This example code is in the public domain.
 	 
 */
#include <SD.h>

File LOG;

//int chipDetect = 9;
int Sensors[3];
int numSensors = 3;
int led = 9; //Blink 

String sensorData = "";

void setup()
{
 // Open serial communications and wait for port to open:
  Serial.begin(9600);
//  pinMode(chipDetect,INPUT);

  Serial.print("Initializing SD card...");
  // (10 on most Arduino boards, 53 on the Mega) must be left as an output 
  // or the SD library functions will not work. 
  pinMode(10, OUTPUT);
  pinMode(9, OUTPUT); // Blikn pin


  if (!SD.begin(10)) {
    Serial.println("initialization failed!");
    return;
  }
  Serial.println("initialization done.");

  if (SD.exists("DataLog.txt")) {
    Serial.println("DataLog.txt exists.");
  }
  else {
    // open a new file and immediately close it:
    Serial.println("Creating DataLog.txt...");
    LOG = SD.open("DataLog.txt", FILE_WRITE);
    LOG.close();
    // Check to see if the file exists: 
    if (SD.exists("DataLog.txt")) {
    Serial.println("Just made DataLog.txt.");
  }
  }
  
  
 
}

void loop(){
  if (SD.exists("DataLog.txt")){
    LOG = SD.open("DataLog.txt", FILE_WRITE);  
    for(int i=0; i<numSensors; i++){
      int s = analogRead(i);
      sensorData = String(s);
      LOG.print(sensorData);
      Serial.print(sensorData);
      if (i < numSensors-1){
        LOG.print(",");
        Serial.print(","); // HERE CHANGE TO PRINT COMAS, SPACES, TABS, ETC. 
        
        if(s < 300){
          digitalWrite(led, HIGH);
        }else{
          digitalWrite(led, LOW);
        }
        
        
      }
      else{
        LOG.println();
        Serial.println();
      }
    }
    LOG.close();    
    delay(1000);
  }else{
    Serial.println("no card detected"); 
    delay(100);
  }
}

